﻿#include <windows.h>
#include <tchar.h>

int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance, LPSTR lpCmdLine, int nCmdShow) 
{
	LPWSTR msg = _T("No arguments were given.\n\nArguments: message title\nUsage example: topmostMsgBox.exe \"Hello world!\" \"Important\"\n\nUnicode is supported!");
	LPWSTR title = _T("Topmost Message Box");

	LPWSTR *szArgList; 
	int argCount;

	szArgList = CommandLineToArgvW(GetCommandLine(), &argCount);
	if (argCount > 1)
	{
		msg = szArgList[1];
		title = szArgList[2];
	}
	
	MessageBox(NULL, msg, title, MB_ICONINFORMATION | MB_OK | MB_SETFOREGROUND | MB_TOPMOST | MB_SYSTEMMODAL);

	LocalFree(szArgList);

	return 0;
}